Daily breakdown for a mailbox
Returns daily email stats for a single mailbox.
Replies are attributed to the last mailbox that sent an email before the reply.
Defaults to the last 30 days if from/to are not provided.
Results are sorted by date ascending.
curl -X GET "https://api.sendkit.ai/v1/analytics/daily/mailboxes/example_string?from=2024-05-01&to=2024-05-31" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/analytics/daily/mailboxes/example_string?from=2024-05-01&to=2024-05-31"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/analytics/daily/mailboxes/example_string?from=2024-05-01&to=2024-05-31", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/analytics/daily/mailboxes/example_string?from=2024-05-01&to=2024-05-31", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/analytics/daily/mailboxes/example_string?from=2024-05-01&to=2024-05-31')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"_id": "2024-05-15",
"sent": 42,
"opened": 42,
"clicked": 42,
"bounced": 42,
"replied": 42,
"positiveReplied": 42
}
]
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/v1/analytics/daily/mailboxes/{mailboxId}Platform API key (sk_user_...) or Workspace API key (sk_...)
Mailbox ID
Start date (ISO 8601 or date string). Defaults to 30 days ago.
End date (ISO 8601 or date string). Defaults to today.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Path Parameters
Mailbox ID
Query Parameters
Start date (ISO 8601 or date string). Defaults to 30 days ago.
End date (ISO 8601 or date string). Defaults to today.
Responses
Date in YYYY-MM-DD format
Emails sent on this day
Emails opened on this day
Links clicked on this day
Emails bounced on this day
Replies received on this day
Positive replies received on this day (based on workspace AI tag settings)
Mailbox not found
Last updated today
Built with Documentation.AI